Create task
curl --request POST \
--url https://api.example.com/v1/customers/{customer_id}/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"weight": 0.5,
"is_urgent": false,
"objects": [
{
"content": "<string>"
}
],
"assignees": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metadata": {}
}
'import requests
url = "https://api.example.com/v1/customers/{customer_id}/tasks"
payload = {
"title": "<string>",
"description": "<string>",
"weight": 0.5,
"is_urgent": False,
"objects": [{ "content": "<string>" }],
"assignees": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
weight: 0.5,
is_urgent: false,
objects: [{content: '<string>'}],
assignees: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
metadata: {}
})
};
fetch('https://api.example.com/v1/customers/{customer_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"is_urgent": true,
"weight": 123,
"performed_weight": 123,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignees": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weight": 123,
"task_completed": true,
"assigned_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"logs": [
{}
],
"actions": {}
}
}{
"code": "tasks.invalid_task_data",
"message": "Invalid task data provided"
}{
"code": "tasks.customer_not_found",
"message": "Customer not found"
}Management
Create task
Create a new task
POST
/
v1
/
customers
/
{customer_id}
/
tasks
Create task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Task created successfully
Available options:
sign, approve, update, delete Available options:
pending, in_progress, completed, canceled, declined Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I